#
# spec file for package sbc
#
# Copyright (c) 2021 SUSE LLC
# Copyright (c) 2012 B1 Systems GmbH, Vohburg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via https://bugs.opensuse.org/
#


%define sonum 1

Name:           sbc
Version:        1.5
Release:        2.14
Summary:        Bluetooth Low-Complexity, Sub-Band Codec Utilities
License:        GPL-2.0-or-later
Group:          Hardware/Mobile
URL:            https://www.kernel.org/pub/linux/bluetooth
Source:         https://www.kernel.org/pub/linux/bluetooth/%{name}-%{version}.tar.xz
Source1:        baselibs.conf
Patch1:         https://git.kernel.org/pub/scm/bluetooth/sbc.git/patch/?id=909a9bdf7ab143e1f0baaf9736baebd3cd79aacf#/fix-build-on-non-x86.patch
BuildRequires:  libsndfile-devel
BuildRequires:  pkg-config
BuildRoot:      %{_tmppath}/%{name}-%{version}-build

%description
The package contains utilities for using the SBC codec.

%package -n libsbc%{sonum}
Summary:        Bluetooth Low-Complexity, Sub-Band Codec Library
License:        LGPL-2.1-or-later
Group:          Hardware/Mobile

%description -n libsbc%{sonum}
The package contains libraries for using the SBC codec.

%package devel
Summary:        Development files for libsbc%{sonum}
License:        GPL-2.0-or-later
Group:          Development/Sources
Requires:       libsbc%{sonum} = %{version}

%description devel
Development files for the SBC library

%prep
%setup -q
%patch1 -p1

%build
%global _lto_cflags %{_lto_cflags} -ffat-lto-objects
%configure
make %{?_smp_mflags} V=1

%install
%make_install
rm %{buildroot}/%{_libdir}/libsbc.la

%clean
%{?buildroot:%__rm -rf "%{buildroot}"}

%post -n libsbc%{sonum} -p /sbin/ldconfig

%postun -n libsbc%{sonum} -p /sbin/ldconfig

%files
%defattr(-,root,root)
%license COPYING
%doc ChangeLog README
/usr/bin/sbc*

%files -n libsbc%{sonum}
%defattr(-,root,root)
%{_libdir}/libsbc.so.%{sonum}
%{_libdir}/libsbc.so.%{sonum}.*

%files devel
%defattr(-,root,root)
%dir /usr/include/sbc
/usr/include/sbc/sbc.h
%{_libdir}/pkgconfig/sbc.pc
%{_libdir}/libsbc.a
%{_libdir}/libsbc.so

%changelog
* Sun Jan 17 2021 Dirk Müller <dmueller@suse.com>
- add fix-build-on-non-x86.patch: fix build on non-x86
* Mon Jan 11 2021 Dirk Müller <dmueller@suse.com>
- update to 1.5:
  * Add support for SSE primitives.
* Fri Aug  2 2019 Martin Liška <mliska@suse.cz>
- Use FAT LTO objects in order to provide proper static library.
* Thu Nov 15 2018 Stefan Seyfried <seife+obs@b1-systems.com>
- update to version 1.4:
  * Fix issue with stack overflow within sbc_crc8 function.
* Fri Nov  7 2014 hrvoje.senjan@gmail.com
- Provide baselibs.conf
- Update to version 1.3:
  * Fix issue with frame length calculation for dual-channel mode.
- Changes since 1.2:
  * Add support for setup from A2DP configuration data.
  * Add support for enabling high precision build.
- Changes since 1.1:
  * Add support for mSBC encoding and decoding functionality.
* Fri Aug 24 2012 seife+obs@b1-systems.com
- initial package, version 1.0
